summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-13 00:27:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:27:39 +0200
commit14ccf40e411a7a17ff6d0150f498855a5ca6e7ce (patch)
treede34c5097372e611b584cab7d050c586a3cecf88 /games
parentb2823db3e180295376c907c60401adb6d5c74089 (diff)
downloadslackbuilds-14ccf40e411a7a17ff6d0150f498855a5ca6e7ce.tar.gz
slackbuilds-14ccf40e411a7a17ff6d0150f498855a5ca6e7ce.tar.xz
games/z26: Updated for version 2.13
Diffstat (limited to 'games')
-rw-r--r--games/z26/README8
-rw-r--r--games/z26/z26.SlackBuild5
-rw-r--r--games/z26/z26.info4
3 files changed, 14 insertions, 3 deletions
diff --git a/games/z26/README b/games/z26/README
index 2675aeb1e1..0065ea1939 100644
--- a/games/z26/README
+++ b/games/z26/README
@@ -3,4 +3,10 @@ z26 (an Atari 2600 emulator)
Z26 is one of the best emulators for the Atari 2600.
The author reports that the graphics part of the emulator
is nearing perfection to a point that there's little more
-to fix. \ No newline at end of file
+to fix.
+
+Note to 64-bit users: z26 is mostly written in 32-bit x86 assembly,
+so it can't be built for x86_64. However, if you build a z26 package
+on a 32-bit system, and install it on a 64-bit system that also has
+alienBOB's or Fred Emmott's 32-bit compatibility packages (specifically,
+a 32-bit sdl package is required), it should run just fine.
diff --git a/games/z26/z26.SlackBuild b/games/z26/z26.SlackBuild
index d046d5372f..71af23e871 100644
--- a/games/z26/z26.SlackBuild
+++ b/games/z26/z26.SlackBuild
@@ -29,6 +29,9 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ echo "Can't build on x86_64, sorry"
+ exit 1
fi
set -e
@@ -62,4 +65,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/z26/z26.info b/games/z26/z26.info
index 25524fa0ad..c6a913e793 100644
--- a/games/z26/z26.info
+++ b/games/z26/z26.info
@@ -3,6 +3,8 @@ VERSION="2.13"
HOMEPAGE="http://www.whimsey.com"
DOWNLOAD="http://www.whimsey.com/z26/z26v213.tar.gz"
MD5SUM="0b0b9b42f203f6defca74a85f071f7c8"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
MAINTAINER="B. Watson"
EMAIL="yalhcru@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"